---
layout: post
title: ESLint v2.6.0 released
tags:
  - release
  - minor
---
# ESLint v2.6.0 released

We just pushed ESLint v2.6.0, which is a minor release upgrade of ESLint. This release adds some new features and fixes several bugs found in the previous release. 








## Enhancements


* [7aacba7](https://github.com/eslint/eslint/commit/7aacba7) Update: Deprecate option `maximum` in favor of `max` (fixes [#5685](https://github.com/eslint/eslint/issues/5685)) (Vitor Balocco)
* [9b73ffd](https://github.com/eslint/eslint/commit/9b73ffd) Update: `destructuring` option of `prefer-const` rule (fixes [#5594](https://github.com/eslint/eslint/issues/5594)) (Toru Nagashima)
* [24a61a4](https://github.com/eslint/eslint/commit/24a61a4) Update: make `no-useless-escape` allowing line breaks (fixes [#5689](https://github.com/eslint/eslint/issues/5689)) (Toru Nagashima)
* [f59d91d](https://github.com/eslint/eslint/commit/f59d91d) Update: no-param-reassign error msgs (fixes [#5705](https://github.com/eslint/eslint/issues/5705)) (Isaac Levy)
* [8d0cd0d](https://github.com/eslint/eslint/commit/8d0cd0d) Update: Basic valid-jsdoc default parameter support (fixes [#5658](https://github.com/eslint/eslint/issues/5658)) (Tom Andrews)




## Bug Fixes


* [ce2accd](https://github.com/eslint/eslint/commit/ce2accd) Fix: vars-on-top now accepts exported variables (fixes [#5711](https://github.com/eslint/eslint/issues/5711)) (Olmo Kramer)
* [5fe6fca](https://github.com/eslint/eslint/commit/5fe6fca) Fix: no-useless-escape \B regex escape (fixes [#5750](https://github.com/eslint/eslint/issues/5750)) (Onur Temizkan)
* [12902c5](https://github.com/eslint/eslint/commit/12902c5) Fix: valid-jsdoc crash w/ Field & Array Type (fixes [#5745](https://github.com/eslint/eslint/issues/5745)) (fixes [#5746](https://github.com/eslint/eslint/issues/5746)) (Burak Yigit Kaya)
* [d736bc2](https://github.com/eslint/eslint/commit/d736bc2) Fix: Treat SwitchCase like a block in lines-around-comment (fixes [#5718](https://github.com/eslint/eslint/issues/5718)) (Scott O'Hara)
* [4ecd45e](https://github.com/eslint/eslint/commit/4ecd45e) Fix: Ensure proper lookup of config files (fixes [#5175](https://github.com/eslint/eslint/issues/5175), fixes [#5468](https://github.com/eslint/eslint/issues/5468)) (Nicholas C. Zakas)
* [088e26b](https://github.com/eslint/eslint/commit/088e26b) Fix: Update doctrine to allow hyphens in JSDoc names (fixes [#5612](https://github.com/eslint/eslint/issues/5612)) (Kai Cataldo)
* [c1b16cd](https://github.com/eslint/eslint/commit/c1b16cd) Fix: Object spread throws error in key-spacing rule. (fixes [#5724](https://github.com/eslint/eslint/issues/5724)) (Ziad El Khoury Hanna)
* [cb0f0be](https://github.com/eslint/eslint/commit/cb0f0be) Fix: Lint issue with `valid-jsdoc` rule (refs [#5188](https://github.com/eslint/eslint/issues/5188)) (Gyandeep Singh)
* [a35f127](https://github.com/eslint/eslint/commit/a35f127) Fix: Lint for eslint project in regards to vars (refs [#5188](https://github.com/eslint/eslint/issues/5188)) (Gyandeep Singh)
* [d9ab4f0](https://github.com/eslint/eslint/commit/d9ab4f0) Fix: Windows scoped package configs (fixes [#5644](https://github.com/eslint/eslint/issues/5644)) (Nicholas C. Zakas)




## Documentation


* [8ac9206](https://github.com/eslint/eslint/commit/8ac9206) Docs: Typo in `sort-imports` (alberto)
* [2c8b65a](https://github.com/eslint/eslint/commit/2c8b65a) Docs: Edit examples for a few rules (Mark Pedrotti)
* [3091613](https://github.com/eslint/eslint/commit/3091613) Docs: Correct explanation about properties (James Monger)




## Dependency Upgrades


* [692fd5d](https://github.com/eslint/eslint/commit/692fd5d) Upgrade: Old Chalk.JS deprecated method (fixes [#5716](https://github.com/eslint/eslint/issues/5716)) (Morris Singer)




## Build Related


* [aba1954](https://github.com/eslint/eslint/commit/aba1954) Build: Ignore jsdoc folder internally (fixes [#5714](https://github.com/eslint/eslint/issues/5714)) (alberto)


